"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.setup = setup;
Object.defineProperty(exports, "speak", {
  enumerable: true,
  get: function () {
    return _index.speak;
  }
});
var _domReady = _interopRequireDefault(require("@wordpress/dom-ready"));
var _addContainer = _interopRequireDefault(require("./script/add-container"));
var _addIntroText = _interopRequireDefault(require("./script/add-intro-text"));
var _index = require("./shared/index");
/**
 * WordPress dependencies
 */

/**
 * Internal dependencies
 */

/**
 * Create the live regions.
 */
function setup() {
  const introText = document.getElementById('a11y-speak-intro-text');
  const containerAssertive = document.getElementById('a11y-speak-assertive');
  const containerPolite = document.getElementById('a11y-speak-polite');
  if (introText === null) {
    (0, _addIntroText.default)();
  }
  if (containerAssertive === null) {
    (0, _addContainer.default)('assertive');
  }
  if (containerPolite === null) {
    (0, _addContainer.default)('polite');
  }
}

/**
 * Run setup on domReady.
 */
(0, _domReady.default)(setup);
//# sourceMappingURL=index.js.map